package com.bonus.canteen.core.pay.api.dto;

import java.util.List;

public class OrderTradeQueryDTO {
   private List<Long> orderRechargeIds;
   private boolean queryAccExceptionInfo;
   private boolean lastTradeRecord;

   OrderTradeQueryDTO(final List<Long> orderRechargeIds, final boolean queryAccExceptionInfo, final boolean lastTradeRecord) {
      this.orderRechargeIds = orderRechargeIds;
      this.queryAccExceptionInfo = queryAccExceptionInfo;
      this.lastTradeRecord = lastTradeRecord;
   }

   public static OrderTradeQueryDTOBuilder builder() {
      return new OrderTradeQueryDTOBuilder();
   }

   public List<Long> getOrderRechargeIds() {
      return this.orderRechargeIds;
   }

   public boolean isQueryAccExceptionInfo() {
      return this.queryAccExceptionInfo;
   }

   public boolean isLastTradeRecord() {
      return this.lastTradeRecord;
   }

   public void setOrderRechargeIds(final List<Long> orderRechargeIds) {
      this.orderRechargeIds = orderRechargeIds;
   }

   public void setQueryAccExceptionInfo(final boolean queryAccExceptionInfo) {
      this.queryAccExceptionInfo = queryAccExceptionInfo;
   }

   public void setLastTradeRecord(final boolean lastTradeRecord) {
      this.lastTradeRecord = lastTradeRecord;
   }

   public static class OrderTradeQueryDTOBuilder {
      private List<Long> orderRechargeIds;
      private boolean queryAccExceptionInfo;
      private boolean lastTradeRecord;

      OrderTradeQueryDTOBuilder() {
      }

      public OrderTradeQueryDTOBuilder orderRechargeIds(final List<Long> orderRechargeIds) {
         this.orderRechargeIds = orderRechargeIds;
         return this;
      }

      public OrderTradeQueryDTOBuilder queryAccExceptionInfo(final boolean queryAccExceptionInfo) {
         this.queryAccExceptionInfo = queryAccExceptionInfo;
         return this;
      }

      public OrderTradeQueryDTOBuilder lastTradeRecord(final boolean lastTradeRecord) {
         this.lastTradeRecord = lastTradeRecord;
         return this;
      }

      public OrderTradeQueryDTO build() {
         return new OrderTradeQueryDTO(this.orderRechargeIds, this.queryAccExceptionInfo, this.lastTradeRecord);
      }

      public String toString() {
         String var10000 = String.valueOf(this.orderRechargeIds);
         return "OrderTradeQueryDTO.OrderTradeQueryDTOBuilder(orderRechargeIds=" + var10000 + ", queryAccExceptionInfo=" + this.queryAccExceptionInfo + ", lastTradeRecord=" + this.lastTradeRecord + ")";
      }
   }
}
